Zapmail
latest
  • latest
  • v1
  1. domains
Zapmail
latest
  • latest
  • v1
  • Zapmail Docs
  • users
    • Retrieve User Details
  • workspaces
    • Retrieve all workspaces
    • Create new workspace
    • Update workspace
    • List all workspace members
    • Update user role
    • Revoke User Access
    • Send invitiation to join workspace
    • List all invitations
    • Revoke invitation
  • billing
    • Add Billing Details
    • Update Billing Details
  • mailbox
    • Retrieve All Mailboxes
    • Get Mailbox Details by ID
    • Assign New Mailboxes to Domains
    • Update mailbox
    • Remove mailboxes on next renewal
    • Get Authenticator code
    • Remove Mailboxes Instantly
    • Custom OAuth
    • schedule mailbox creation
    • retry creation of failed mailboxes
  • payments & wallet
    • Add balance to wallet
    • Get wallet balance
    • Enable auto recharge
    • Purchase add on mailboxes
    • get invoices for subscription
  • export
    • Export mailboxes
    • Add third party account details
    • Update third party account details
    • Get Export Status
    • Fetch Workspaces by App
  • subscriptions
    • Get all subscriptions
    • Cancel subscription
    • Upgrade existing subscription
    • Purchase subscription
    • Get Mailboxes in a Subscription
  • domains
    • Retrieve All Domains
      GET
    • List Assignable Domains
      GET
    • Add DMARC record
      POST
    • Add Domain forwarding
      POST
    • Get Name servers to connect domain
      POST
    • Verify Name Server Propagation
      POST
    • Connect Domain with Zapmail
      POST
    • Enable email forwarding
      POST
    • Remove email forwarding
      DELETE
    • Enable catch all emails
      POST
    • Remove catch all emails
      DELETE
    • Check DNS records
      POST
    • Remove unused domains
      DELETE
    • Get available domains for registration
      POST
    • Get domains purchase payment link
      POST
    • Get domain connection requests
      GET
    • Remove domain connection requests
      DELETE
    • Connect Domain with Zapmail (New)
      POST
    • Add Google Client ID to Domain
      POST
    • Get availability of multiple domain names.
      POST
    • Retrieve Domain Health Score
      GET
    • Retrieve All Domains (With filters)
      POST
    • AI Domain Finder
      POST
    • Move Domains Across workspace
      POST
    • Assign Domain Tag
      POST
    • list domain tags
      GET
    • Create Domain Tags
      POST
    • Remove Domain Forwarding
      POST
  • dns
    • Get dns records
    • Add dns records
    • Update dns records
    • Delete dns records
  • High Reputation Domains
    • Get available domains
    • Purchase high reputation domains
  • prewarmed domains
    • Get prewarmed domains
    • purchase prewarmed subscription
    • Assign prewarmed mailboxes
    • Get Available Domains Count
  • placement test
    • Get subscriptions
    • Get Overall Report
    • Get placement test orders
    • Get report by cart order id
    • Get Eligible Mailboxes for Placement Tests
    • Get Available Placement Test Credits
    • Purchase Placement Test
    • Purchase plan
    • Cancel Subscription
  • dns shield
    • Get eligible domains
    • Get available slots
    • Get subscriptions
    • Get Allocated Domains for Subscription
    • Allocate Domains to DNS Shield
    • Purchase DNS Shield
    • Upgrade DNS Shield LTD Plan
    • Cancel subscription
  • global
    • Global mailbox-domain search
  • zapbox
    • List Connected Accounts
    • Fetch emails
    • get emails from a thread
    • Search emails
    • Send Email
    • Download Attachment
    • Create New Label
    • Delete Label
    • Rename Label
  • Schemas
    • domain with filter
  1. domains

Connect Domain with Zapmail (New)

Developing
POST
/v2/domains/connect-domain
Use this endpoint to connect domain to Zapmail.
NOTE: Before calling this API, update your domain’s Name Server (NS) records to the following:
pns61.cloudns.net
pns62.cloudns.com
pns63.cloudns.net
pns64.cloudns.uk
You can poll the endpoint to fetch the real time status of connection

Request

Header Params

Body Params application/json

Example
{
    "domainNames": [
        "company.com"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.zapmail.ai/api/v2/domains/connect-domain' \
--header 'x-auth-zapmail;' \
--header 'x-workspace-key;' \
--header 'x-service-provider;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domainNames": [
        "company.com"
    ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 0,
    "message": "string",
    "data": {
        "status": "string",
        "domains": {
            "acmecorpfor123zap.info": {
                "status": "string",
                "metadata": null,
                "dnsManagedBy": "string",
                "createdAt": "string",
                "updatedAt": "string"
            }
        }
    }
}
Modified at 2026-01-31 08:17:27
Previous
Remove domain connection requests
Next
Add Google Client ID to Domain
Built with